/*****************************************************************************
* Copyright (c) 2000 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others, 
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/

// PropPageWelcome.cpp : implementation file
//

#include "stdafx.h"
#include "CustomApp.h"
#include "PropPageWelcome.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropPageWelcome property page

IMPLEMENT_DYNCREATE(CPropPageWelcome, CPropertyPageEx)

CPropPageWelcome::CPropPageWelcome() : CPropertyPageEx(CPropPageWelcome::IDD)
{
   m_psp.dwFlags |= PSP_HIDEHEADER;

   //{{AFX_DATA_INIT(CPropPageWelcome)
	m_WeclomeInfo1.Format(IDS_WelcomeInfoForm1, DXBVER_VERSION_MAJOR, DXBVER_VERSION_MINOR, DXBVER_BUILDNUMBER);
	m_WeclomeInfo2.LoadString(IDS_WelcomeInfo2);
	m_WeclomeInfo3.LoadString(IDS_WelcomeInfo3);
	//}}AFX_DATA_INIT
}

CPropPageWelcome::~CPropPageWelcome()
{
}

void CPropPageWelcome::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPageEx::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPropPageWelcome)
	DDX_Text(pDX, IDC_WelcomeInformation1, m_WeclomeInfo1);
	DDX_Text(pDX, IDC_WelcomeInformation2, m_WeclomeInfo2);
	DDX_Text(pDX, IDC_WelcomeInformation3, m_WeclomeInfo3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPropPageWelcome, CPropertyPageEx)
	//{{AFX_MSG_MAP(CPropPageWelcome)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CPropPageWelcome::OnSetActive() 
{
   CPropertySheetEx* psheet = (CPropertySheetEx*) GetParent();
   // Only enable [Next], [Back] has no meaning for us
   psheet->SetWizardButtons(PSWIZB_NEXT);
	
	return CPropertyPageEx::OnSetActive();
}

LRESULT CPropPageWelcome::OnWizardNext() 
{
   LRESULT Result;

   if (((CCustomAppApp *)(AfxGetApp()))->ExistingDriverNewer())
   {
      // If the existing driver is newer, we don't want to automatically do
      // the update since it will overwrite the existing driver.
      Result = ((CCustomAppApp *)(AfxGetApp()))->GetPropPageOldDriverIdent();
   }
   else
   {
      if (((CCustomAppApp *)(AfxGetApp()))->DevMgrRunning())
      {
         // If the dev manager is running, our coinstaller will be in memory making it
         // difficult to update the driver, tell the user to knock it off...
         Result = ((CCustomAppApp *)(AfxGetApp()))->GetPropPageDevMgrRunningIdent();
      }
      else
      {
         // Rock'n roll...
         Result = ((CCustomAppApp *)(AfxGetApp()))->GetPropPageUpdateAdapterIdent();
      }
   }

   return Result;
}
